All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.models.remotefileselector.informationservices
Class InformationServicesDescriptionToObjectTransform

    com.sas.swing.models.remotefileselector.informationservices.InformationServicesDescriptionToObjectTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInterface, java.io.Serializable

    public class InformationServicesDescriptionToObjectTransform

implements com.sas.util.transforms.TransformInterface

InformationServicesDescriptionToObjectTransform class reads the description metadata attribute.

Since:
  3.1
See Also:
  Serialized Form

Field Summary
`static InformationServicesDescriptionToObjectTransform` | `defaultInstance` a default instance of the class

Constructor Summary
`InformationServicesDescriptionToObjectTransform()`

Method Summary
`java.lang.Object` | `transform(java.lang.Object value)` Reads the description metadata attribute.

Field Detail

### defaultInstance

    public static final InformationServicesDescriptionToObjectTransform defaultInstance

  a default instance of the class

Constructor Detail

### InformationServicesDescriptionToObjectTransform

    public InformationServicesDescriptionToObjectTransform()

Method Detail

### transform

    public java.lang.Object transform(java.lang.Object value)

  Reads the description metadata attribute.

  Specified by:
    `transform` in interface `com.sas.util.transforms.TransformInterface`
  Parameters:
    `value` - the metadata item
  Returns:
    the description value

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.